<?php
	/*vytvorenie crosslinku*/
	require_once("../modules/nocache.php");
	require_once("../modules/debugger.php");
	
	require_once("../../../../../wp-config.php");
	
	global $wpdb;

	if ( is_user_logged_in() && current_user_can('administrator') ) {
		$table_name =  $wpdb->prefix . $table_crosslink_main;
		
		$linkto_word = $clnkrObj->check_chars($_POST['linker_word']);
		$linkto_uri  = $clnkrObj->check_chars($_POST['linker_uri']);
		$linkto_attr = $clnkrObj->check_chars($_POST['linker_attr']);
		$linkto_lang = intval($clnkrObj->check_chars($_POST['linker_lang']));
		//ak mame vsetky jazyky - alls
		if($_POST['linker_lang']=='alls') {
			$alllangs        = "SELECT id FROM " . $wpdb->prefix . $table_backup_langs . " WHERE visible = '1' ORDER BY id ASC;";
			$lang_ar         = $wpdb->get_results($alllangs);
			foreach ( $lang_ar as $result ) {
				$langs_arrs[] = $result->id;
			}
		}
			else
				$langs_arrs[] = $linkto_lang;
		$langs_todo = count($langs_arrs);

		if(@strpos($linkto_word,"|")!==false) {
			$linkto_array= @explode("|",$linkto_word);
			$linkto_count= @count($linkto_array);
		}
			else {
				$linkto_array[0] = $linkto_word;
				$linkto_count    = 1;
			}

		for($z=1;$z<=$linkto_count;$z++) {
			$linkto_word = $linkto_array[($z-1)];
				if($linkto_uri=='')
					echo "<p class=\"color:red\">Error: The link is missing</p>";

		if( ($linkto_word!='') && ($linkto_uri!='') ) {
			for($ln_i=0; $ln_i<$langs_todo; $ln_i++) {
				$linkto_lang = $langs_arrs[$ln_i];
				//check if word is available in specified language
				$search_qry        = "SELECT id FROM " . $table_name . " WHERE (link_word = '" . $linkto_word . "') AND (visible = '1') ORDER BY id ASC LIMIT 1;";
				$lang_verification = "OK";
				while($wpdb->get_var($search_qry)!='') {
					$lng_found         = $wpdb->get_var($search_qry);
					if($lng_found!='') {
						$lng_found_wds = "";
						$search_qry1   = "SELECT lang_id FROM " . $wpdb->prefix . $table_crosslink_wdlng . " WHERE (word_id = '" . $lng_found . "');";
						$lng_found_wds = $wpdb->get_var($search_qry1);
						if( $lng_found_wds == $linkto_lang )
							$lang_verification = "NOT OK";
					}
					$search_qry = "SELECT id FROM " . $table_name . " WHERE (link_word = '" . $linkto_word . "') AND (id > '" . $lng_found . "') AND (visible = '1') ORDER BY id ASC LIMIT 1;";
				}
				//end check if word is available in specified language
				$found       = "";

				$found       = $wpdb->query("SELECT id FROM " . $table_name . " WHERE ( (link_word = '" . $linkto_word . "') AND (visible = '1') );");

				if( ($found != '') && ($lang_verification == "NOT OK") ) {
					$forLang = $wpdb->get_var("SELECT UPPER(lang_def) FROM " . $wpdb->prefix . $table_backup_langs . " WHERE id = '".intval($langs_arrs[$ln_i])."' LIMIT 1;",0);
					
					if( @strlen( $forLang ) < 1 )
						$forLang = "none";
						
					echo "<p style=\"color: Red;\">Error: " . $linkto_word . "</b>: Deactivate this word/phrase firstly, please (language: ".strtoupper( $forLang ).").</p>
		";
				}
					else {
						$wpdb->query("INSERT INTO " . $table_name . " VALUES ( 'NULL' , '" . $linkto_word . "' , '" . $linkto_uri . "' ,'1' );");
						echo "<p style=\"color:Blue;\"><b>" . $linkto_word . "</span><span style=\"line-height:1.5em;\">: New word/phrase has been hyperlinked successfully.</b></p>
		";
						$found = $wpdb->get_var("SELECT id FROM " . $table_name . " WHERE ( (link_word LIKE '" . $linkto_word . "') AND (visible = '1') ) ORDER BY id DESC LIMIT 1;");

						$connect_word_lang = "INSERT INTO " . $wpdb->prefix . $table_crosslink_wdlng . " VALUES ( 'NULL' , '" . $found . "' , '" . $linkto_lang . "' );";
						$wpdb->query($connect_word_lang);

						if($linkto_attr!='') {
							$table_name_attrs = $wpdb->prefix . $table_crosslink_attrb;
							$fix_d = "DELETE FROM " . $table_name_attrs . " WHERE id = '" . $found . "' LIMIT 1;";
							$wpdb->query($fix_d);
							$ins_qry = "INSERT INTO " . $table_name_attrs . " VALUES ( '" . $found . "' , '" . $linkto_attr . "' );";
							$wpdb->query($ins_qry);
						}
					}
				}
			}
		}
	}
		else
			echo "not allowed";
?>
