<?php
	/*zobrazenie ignorovanych znakov*/
	if( !isset( $includer ) ) {
		require_once("../modules/nocache.php");
		require_once("../modules/debugger.php");
		
		require_once("../../../../../wp-config.php");
	
		global $wpdb;
	}
	
	if ( is_user_logged_in() && current_user_can('administrator') ) {
		$t2    = $wpdb->prefix . $table_crosslink_chars;

		$tags_sql = "SELECT id, tag_1, tag_2 FROM " . $t2 . " ORDER BY id ASC;";

		$tags_rec = $wpdb->get_results($tags_sql);
		if($tags_rec) {
			foreach ( $tags_rec as $tags_r ) {
				echo "<div><form id=\"ignoredTagDeletion" . md5( $tags_r->id ) . "\">
";
				echo "<input type='text' name='t".$tags_r->id."_s' value='".htmlspecialchars($tags_r->tag_2)."' readonly='readonly' title=\"Read-only field, can be deleted only\" /> <input type='text' name='t".$i."_e' value='".htmlspecialchars($tags_r->tag_1)."' readonly='readonly' /><input type='hidden' name='delete_tag' value='".$tags_r->id."' /><button type=\"button\" class=\"tagDeletion\" title=\"Delete this set of tags\">Delete!</button></form>
						<p class=\"processing\"></p>
						<p class=\"outcome\"></p>
					</div>";
			}
		}
		?>
			<script type="text/javascript">
				//pridanie ignorovaneho html tagu
				jQuery( "#additionOfNewTags" ).click( function() {
		
					jQuery(this).prop('disabled', true);
					oldThis = jQuery(this);
					oldThis.css( "cursor", "wait");

					var dataString = '';//'force_backup_days=' + force_backup_days + '&remove_old_backups=' + remove_old_backups;
					dataString = jQuery( "#addNewHTMLtags" ).serialize();

					parentEl = jQuery(this).closest('div');
					parentEl.find('.processing').html('<img src="' + waitImage + '" alt="processing..." />');
					parentEl.find('.outcome').html( '' );
		
					//console.log( dataString );

					jQuery.ajax({
						type: 'POST',
						url: addHTMLtagsPath,
						data: dataString,
						context: document.body,
						success: function(data){
							if( data.indexOf("Error: ") < 1 )
								parentEl.find('.processing').html( doneMessage );
									else
										parentEl.find('.processing').html( '' );
							parentEl.find('.outcome').html( data );
				
							oldThis.prop('disabled', false);
							oldThis.css( "cursor", "pointer");
							
							zobrazTagy();
		
							//console.log( data );
						},
						error: function (request, status, error) {
							alert(request.responseText);
						}
					});
		
					return false;
				});
				
				//zmazanie ignorovaneho html tagu
				jQuery( ".tagDeletion" ).click( function() {
		
					jQuery(this).prop('disabled', true);
					oldThis = jQuery(this);
					oldThis.css( "cursor", "wait");

					var dataString = '';//'force_backup_days=' + force_backup_days + '&remove_old_backups=' + remove_old_backups;
					dataString = jQuery( this ).closest('form').serialize();

					parentEl = jQuery(this).closest('div');
					parentEl.find('.processing').html('<img src="' + waitImage + '" alt="processing..." />');
					parentEl.find('.outcome').html( '' );
		
					//console.log( dataString );

					jQuery.ajax({
						type: 'POST',
						url: deleteHTMLtags,
						data: dataString,
						context: document.body,
						success: function(data){
							if( data.indexOf("Error: ") < 1 )
								parentEl.find('.processing').html( doneMessage );
									else
										parentEl.find('.processing').html( '' );
							parentEl.find('.outcome').html( data );
				
							oldThis.prop('disabled', false);
							oldThis.css( "cursor", "pointer");
				
							jQuery( parentEl ).closest('div').hide('slow');
				
							//console.log( data );
						},
						error: function (request, status, error) {
							alert(request.responseText);
						}
					});
		
					return false;
				});

			</script>
			<?php
	}
		else
			echo "not allowed";
?>
